SDL_HasProperty(3)

NAME
SDL_HasProperty - Return whether a property exists in a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasProperty(SDL_PropertiesID props, const char *name);

FUNCTION PARAMETERS

props
    the properties to query.

name
    the name of the property to query.

RETURN VALUE
Returns true if the property exists, or false if it doesn't.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPropertyType(3)